<?php 
    $controller = 'POS';
    $action = 'print';
    include $_SERVER["DOCUMENT_ROOT"].'/app/include/bootstrap.php';?>
<!DOCTYPE html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no">
    <link href="<?php echo ROOT_HOST?>/public/bootstrap/css/bootstrap.min.css" rel="stylesheet">     
</head><?php
/* INFORMACION EMPRESA */
#Cuando envio impresion desde boton en listado AperturaCierreCaja.php utilizando javascript printOpening();
$empresa = new EmpresaEntity();
$empresa->setOptions($empresa->getById(1)); 

$nombreEmpresa  = $empresa->getNombre();
$direccion      = $empresa->getCalle().' '.$empresa->getNumeroExterior().' '.$empresa->getNumeroInterior().''.$empresa->getColonia();
$ciudadEstadoZC = $empresa->getCiudad().', '.$empresa->getEstado().' '.$empresa->getCodigoPostal();
$telefono       = $empresa->getTelefono();  

/* INFORMACION APERTURA DE CAJA */
$entity = new AperturaCierreCajaEntity();
$entity->setOptions($entity->getById($_GET['idAperturaCaja']));
$_GET['idAperturaCaja'];
$caja = $entity->getCajaName();
$cajero = $entity->getUsuarioName();

$repo = new EntityRepository();
$infoRetiro = $repo->getById($_GET['idRetiro'], 'retiros');
$montoRetiro = number_format($infoRetiro['monto'],2);
$fechaCreacion = strftime('%d/%m/%y %H:%M:%S',strtotime($infoRetiro['creado_fecha']));
?>
<div id="printArea">
    <div style="margin:auto;text-align: center;font-size: 10px;font-family: Arial,Helvetica Neue,Helvetica,sans-serif">
        <div style="margin: 30px;margin-bottom: 10px">
            <img src="../../public/img/logo_login.png" width="50%">
        </div>
        <div style="text-align: center">
            <h4><?php echo $nombreEmpresa;?></h4>
            <p class="m-a-0"><?php echo $direccion; ?></p>
            <p class="m-a-0"><?php echo $ciudadEstadoZC; ?></p>
            <p class="m-a-0"><?php echo $telefono;?></p>
        </div> 
        <div class="text-center m-t-1">    
            <p class="m-a-0">Caja: <?php echo $caja?></p>
            <p class="m-a-0">Retiró: <?php echo $cajero?></p>
            <p class="m-a-0">Fecha: <?php echo $fechaCreacion;?></p>
        </div> 
        <div class="m-t-1">    
            <h4 class="m-a-0 text-center w-100">Retiro</h4>
            <h4 class="m-a-0 text-center w-100">$ <?php echo $montoRetiro;?></h4>            
        </div>   
    </div>
</div>
    <script type="text/javascript">
        self.print();
    </script>
    <?php //if(isset($_GET['back'])){echo "<script>setTimeout(parent.document.location = '{$_GET['back']}',500);</script>";}?>
</body>
</html>
